using System;
using Unit4.CollectionsLib;
using System.Text;

namespace ConsoleApplicationBuildCityMap
{
    class Program
    {
        static void Main(string[] args)
        {
            CityMap shimamon = new CityMap(8);

            shimamon.SetDistance(0, 1, 15);
            shimamon.SetDistance(0, 2, 37);
            shimamon.SetDistance(0, 3, 22);
            shimamon.SetDistance(0, 6, 30);

            shimamon.SetDistance(1, 5, 20);

            shimamon.SetDistance(2, 3, 80);
            shimamon.SetDistance(2, 4, 25);

            shimamon.SetDistance(3, 4, 67);

            shimamon.SetDistance(4, 5, 20);

            shimamon.SetDistance(5, 6, 70);
        }
        public static double GetShortestPathDistance(CityMap map, int s1, int s2)
        {
            List<int> lst = map.GetShortestPath(s1, s2);
            if (lst.IsEmpty())
                return 0;

            double dist = 0;
            Node<int> p1 = lst.GetFirst();
            Node<int> p2 = p1.GetNext();

            while (p2 != null)
            {
                s1 = p1.GetInfo();
                s2 = p2.GetInfo();
                dist = dist + map.GetDistance(s1, s2);
                p1 = p2;
                p2 = p2.GetNext();
            }
            return dist;
        }
    }
}
